# Script d'extraction d'articles depuis NCBI

Ce script permet d'extraire des articles et un certains nombre de méta-données depuis NCBI.
Il prend en entrée :
- Un requêtre NCBI renseigné dans le fichier query
- Une adresse email et token d'API NCBI stockés dans le fichier `credentials.yaml`
- La structure du fichier de sortie, décrite dans le fichier `variables_dictionnary.yaml`

## Concernant le token d'API NCBI

Afin de réduire les restrictions sur l'usage de l'API, il est recommandé de s'inscrire sur le site de NCBI.
Une fois inscrit, le token est accessible à l'adresse suivante : [Paramètres de compte NCBI](https://www.ncbi.nlm.nih.gov/account/settings/).

## Concernant la structure du fichier de sortie

Elle est décrite dans le fichier yaml `variables_dictionnary.yaml`.  
Chaque entrée du fichier de configuration correspond à un colonne du document de sortie, la clé de l'entrée correspondant au nom de la colonne.  
Chaque entrée peut prendre une des valeurs suivante :
- Laissé vide : la colonne sera laissée vide dans le fichier de sortie
- Nom d'un champ d'API : ce champs sera récupéré tel quel dans le retour de l'API NCBI
- Opération à effectuer : les opérations à effectuer sont identifiés à l'aide d'un dièse (#) au début de leurs nom. Elles sont alors décrite dans le script au sein de la fonction `generate_output`.